# GstDirectControlBinding

A value mapping object that attaches control sources to gobject properties. It will map the control values directly to the target property range. If a non-absolute direct control binding is used, the value range [0.0 ... 1.0] is mapped to full target property range, and all values outside the range will be clipped. An absolute control binding will not do any value transformations.

## GstDirectControlBinding

    GObject
        ╰──GInitiallyUnowned
            ╰──GstObject
                ╰──GstControlBinding
                    ╰──GstDirectControlBinding

The instance structure of GstDirectControlBinding.

### Members

`parent` (GstControlBinding) –
No description available
`ABI._gst_reserved` (gpointer *) –
No description available
`ABI.abi.want_absolute` (gboolean) –
No description available

### Class structure

#### GstDirectControlBindingClass

The class structure of GstDirectControlBinding.

##### Fields

`parent_class` (GstControlBindingClass) –

Parent class

### GstController.DirectControlBindingClass

The class structure of GstController.DirectControlBinding.

##### Attributes

`parent_class` (Gst.ControlBindingClass) –

Parent class

### GstController.DirectControlBindingClass

The class structure of GstController.DirectControlBinding.

##### Attributes

`parent_class` (Gst.ControlBindingClass) –

Parent class

## GstController.DirectControlBinding

    GObject.Object
        ╰──GObject.InitiallyUnowned
            ╰──Gst.Object
                ╰──Gst.ControlBinding
                    ╰──GstController.DirectControlBinding

The instance structure of GstController.DirectControlBinding.

### Members

`parent` (Gst.ControlBinding) –
No description available

## GstController.DirectControlBinding

    GObject.Object
        ╰──GObject.InitiallyUnowned
            ╰──Gst.Object
                ╰──Gst.ControlBinding
                    ╰──GstController.DirectControlBinding

The instance structure of GstController.DirectControlBinding.

### Members

`parent` (Gst.ControlBinding) –
No description available

### Constructors

#### gst_direct_control_binding_new

    GstControlBinding *
    gst_direct_control_binding_new (GstObject * object,
                                    const gchar * property_name,
                                    GstControlSource * cs)

Create a new control-binding that attaches the GstControlSource to the GObject property. It will map the control source range [0.0 ... 1.0] to the full target property range, and clip all values outside this range.

Parameters:

`object` –

the object of the property

`property_name` –

the property-name to attach the control source

`cs` –

the control source

Returns ( [transfer: floating]) –

the new GstDirectControlBinding

#### GstController.DirectControlBinding.prototype.new

    function GstController.DirectControlBinding.prototype.new(object: Gst.Object, property_name: String, cs: Gst.ControlSource): {
        // javascript wrapper for 'gst_direct_control_binding_new'
    }

Create a new control-binding that attaches the Gst.ControlSource to the GObject.Object property. It will map the control source range [0.0 ... 1.0] to the full target property range, and clip all values outside this range.

Parameters:

`object` (Gst.Object) –

the object of the property

`property_name` (String) –

the property-name to attach the control source

`cs` (Gst.ControlSource) –

the control source

Returns (Gst.ControlBinding) –

the new GstController.DirectControlBinding

#### GstController.DirectControlBinding.new

    def GstController.DirectControlBinding.new (object, property_name, cs):
        #python wrapper for 'gst_direct_control_binding_new'

Create a new control-binding that attaches the Gst.ControlSource to the GObject.Object property. It will map the control source range [0.0 ... 1.0] to the full target property range, and clip all values outside this range.

Parameters:

`object` (Gst.Object) –

the object of the property

`property_name` (str) –

the property-name to attach the control source

`cs` (Gst.ControlSource) –

the control source

Returns (Gst.ControlBinding) –

the new GstController.DirectControlBinding

#### gst_direct_control_binding_new_absolute

    GstControlBinding *
    gst_direct_control_binding_new_absolute (GstObject * object,
                                             const gchar * property_name,
                                             GstControlSource * cs)

Create a new control-binding that attaches the GstControlSource to the GObject property. It will directly map the control source values to the target property range without any transformations.

Parameters:

`object` –

the object of the property

`property_name` –

the property-name to attach the control source

`cs` –

the control source

Returns ( [transfer: floating]) –

the new GstDirectControlBinding

Since : 1.6

#### GstController.DirectControlBinding.prototype.new_absolute

    function GstController.DirectControlBinding.prototype.new_absolute(object: Gst.Object, property_name: String, cs: Gst.ControlSource): {
        // javascript wrapper for 'gst_direct_control_binding_new_absolute'
    }

Create a new control-binding that attaches the Gst.ControlSource to the GObject.Object property. It will directly map the control source values to the target property range without any transformations.

Parameters:

`object` (Gst.Object) –

the object of the property

`property_name` (String) –

the property-name to attach the control source

`cs` (Gst.ControlSource) –

the control source

Returns (Gst.ControlBinding) –

the new GstController.DirectControlBinding

Since : 1.6

#### GstController.DirectControlBinding.new_absolute

    def GstController.DirectControlBinding.new_absolute (object, property_name, cs):
        #python wrapper for 'gst_direct_control_binding_new_absolute'

Create a new control-binding that attaches the Gst.ControlSource to the GObject.Object property. It will directly map the control source values to the target property range without any transformations.

Parameters:

`object` (Gst.Object) –

the object of the property

`property_name` (str) –

the property-name to attach the control source

`cs` (Gst.ControlSource) –

the control source

Returns (Gst.ControlBinding) –

the new GstController.DirectControlBinding

Since : 1.6

### Properties

#### absolute

    “absolute” gboolean

Flags : Read / Write / Construct Only

#### absolute

    “absolute” Number

Flags : Read / Write / Construct Only

#### absolute

    “self.props.absolute” bool

Flags : Read / Write / Construct Only

#### control-source

    “control-source” GstControlSource *

Flags : Read / Write / Construct

#### control-source

    “control-source” Gst.ControlSource

Flags : Read / Write / Construct

#### control_source

    “self.props.control_source” Gst.ControlSource

Flags : Read / Write / Construct

## Constants

### GST_TYPE_DIRECT_CONTROL_BINDING

    #define GST_TYPE_DIRECT_CONTROL_BINDING \
      (gst_direct_control_binding_get_type())

## Callbacks

### GstDirectControlBindingConvertGValue

    (*GstDirectControlBindingConvertGValue) (GstDirectControlBinding * self,
                                             gdouble src_value,
                                             GValue * dest_value)

Function to map a control-value to the target GValue.

Parameters:

`self` –

the GstDirectControlBinding instance

`src_value` –

the value returned by the cotnrol source

`dest_value` –

the target GValue

### GstController.DirectControlBindingConvertGValue

    function GstController.DirectControlBindingConvertGValue(self: GstController.DirectControlBinding, src_value: Number, dest_value: GObject.Value): {
        // javascript wrapper for 'GstDirectControlBindingConvertGValue'
    }

Function to map a control-value to the target GValue.

Parameters:

`self` (GstController.DirectControlBinding) –

the GstController.DirectControlBinding instance

`src_value` (Number) –

the value returned by the cotnrol source

`dest_value` (GObject.Value) –

the target GValue

### GstController.DirectControlBindingConvertGValue

    def GstController.DirectControlBindingConvertGValue (self, src_value, dest_value):
        #python wrapper for 'GstDirectControlBindingConvertGValue'

Function to map a control-value to the target GValue.

Parameters:

`self` (GstController.DirectControlBinding) –

the GstController.DirectControlBinding instance

`src_value` (float) –

the value returned by the cotnrol source

`dest_value` (GObject.Value) –

the target GValue

### GstDirectControlBindingConvertValue

    (*GstDirectControlBindingConvertValue) (GstDirectControlBinding * self,
                                            gdouble src_value,
                                            gpointer dest_value)

Function to map a control-value to the target plain data type.

Parameters:

`self` –

the GstDirectControlBinding instance

`src_value` –

the value returned by the cotnrol source

`dest_value` –

the target location

### GstController.DirectControlBindingConvertValue

    function GstController.DirectControlBindingConvertValue(self: GstController.DirectControlBinding, src_value: Number, dest_value: Object): {
        // javascript wrapper for 'GstDirectControlBindingConvertValue'
    }

Function to map a control-value to the target plain data type.

Parameters:

`self` (GstController.DirectControlBinding) –

the GstController.DirectControlBinding instance

`src_value` (Number) –

the value returned by the cotnrol source

`dest_value` (Object) –

the target location

### GstController.DirectControlBindingConvertValue

    def GstController.DirectControlBindingConvertValue (self, src_value, dest_value):
        #python wrapper for 'GstDirectControlBindingConvertValue'

Function to map a control-value to the target plain data type.

Parameters:

`self` (GstController.DirectControlBinding) –

the GstController.DirectControlBinding instance

`src_value` (float) –

the value returned by the cotnrol source

`dest_value` (object) –

the target location

The results of the search are